<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Wizard actions: Anjuta Developers Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
<link rel="home" href="index.html" title="Anjuta Developers Reference Manual">
<link rel="up" href="project-wizard-format.html" title="New Project Wizard format">
<link rel="prev" href="content-block.html" title="Wizard content">
<link rel="next" href="internationalization.html" title="Internationalization">
<meta name="generator" content="GTK-Doc V1.29 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="project-wizard-format.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="content-block.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="internationalization.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="sect1">
<div class="titlepage"><div><div><h2 class="title" style="clear: both">
<a name="action-block"></a>Wizard actions</h2></div></div></div>
<p>
			This block is optional, it defines additional actions to do after
			creating the project.
		</p>
<p>
			<span class="emphasis"><em>action</em></span>
			</p>
<pre class="programlisting">
&lt;action&gt;
	&lt;run&gt;
	...
	&lt;open&gt;
	...
&lt;/action&gt;
			</pre>
<p>
			</p>
<p>
			It represents the action block and contains any number
			of run and open elements. All these actions are executed in order.
			</p>
<p>
		</p>
<p>
			<span class="emphasis"><em>run</em></span>
			</p>
<pre class="programlisting">
&lt;run command=command /&gt;
			</pre>
<p>
			</p>
<p>
				This element allow to run the command command after creating
			       	the new project. The output of the command is redirected to
				one Anjuta message window.
			</p>
<p>
		</p>
<p>
			<span class="emphasis"><em>open</em></span>
			</p>
<pre class="programlisting">
&lt;open file=file_name /&gt;
			</pre>
<p>
			</p>
<p>
				This element will open the file file_name
				in Anjuta.
			</p>
<p>
		</p>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.29</div>
</body>
</html>